CppCMS

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
booster::unique_lock< Mutex > Class Template Reference

a Unique lock guard. More...

`#include <booster/booster/thread.h>`

Inheritance diagram for booster::unique_lock< Mutex >:

## Public Member Functions
| unique_lock (Mutex &m)
| Acquire the lock.
| ~unique_lock ()
| Release the lock.
Mutex * | mutex () const
| Get the reference to the mutex object.

## Detailed Description

### template<typename Mutex>
class booster::unique_lock< Mutex >

a Unique lock guard.

Acquire the unique lock in the constructor and release it in the destructor

The documentation for this class was generated from the following file:

- booster/thread.h